# Class MetalPopupMenuSeparatorUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.SeparatorUI
javax.swing.plaf.basic.BasicSeparatorUI
javax.swing.plaf.metal.MetalSeparatorUI
javax.swing.plaf.metal.MetalPopupMenuSeparatorUI

public class MetalPopupMenuSeparatorUI extends MetalSeparatorUI
A Metal L&F implementation of PopupMenuSeparatorUI. This implementation is a "combined" view/controller.

## Field Summary

### Fields declared in class BasicSeparatorUI

`highlight, shadow`
Modifier and Type
Field
Description
`protected Color`
`highlight`
The color of the highlighting.
`protected Color`
`shadow`
The color of the shadow.

## Constructor Summary

Constructors
Constructor
Description
`MetalPopupMenuSeparatorUI()`
Constructs a `MetalPopupMenuSeparatorUI`.

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent c)`
Constructs a new `MetalPopupMenuSeparatorUI` instance.

### Methods declared in class BasicSeparatorUI

`installDefaults, installListeners, uninstallDefaults, uninstallListeners`
Modifier and Type
Method
Description
`protected void`
`installDefaults(JSeparator s)`
Installs default properties.
`protected void`
`installListeners(JSeparator s)`
Registers listeners.
`protected void`
`uninstallDefaults(JSeparator s)`
Uninstalls default properties.
`protected void`
`uninstallListeners(JSeparator s)`
Unregisters listeners.

### Methods declared in class ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`
Modifier and Type
Method
Description
`boolean`
`contains(JComponent c, int x, int y)`
Returns `true` if the specified x,y location is contained within the look and feel's defined shape of the specified component.
`Accessible`
`getAccessibleChild(JComponent c, int i)`
Returns the `i`th `Accessible` child of the object.
`int`
`getAccessibleChildrenCount(JComponent c)`
Returns the number of accessible children in the object.
`int`
`getBaseline(JComponent c, int width, int height)`
Returns the baseline.
`Component.BaselineResizeBehavior`
`getBaselineResizeBehavior(JComponent c)`
Returns an enum indicating how the baseline of the component changes as the size changes.
`Dimension`
`getMaximumSize(JComponent c)`
Returns the specified component's maximum size appropriate for the look and feel.
`Dimension`
`getMinimumSize(JComponent c)`
Returns the specified component's minimum size appropriate for the look and feel.
`Dimension`
`getPreferredSize(JComponent c)`
Returns the specified component's preferred size appropriate for the look and feel.
`void`
`installUI(JComponent c)`
Configures the specified component appropriately for the look and feel.
`void`
`paint(Graphics g, JComponent c)`
Paints the specified component appropriately for the look and feel.
`void`
`uninstallUI(JComponent c)`
Reverses configuration which was done on the specified component during `installUI`.
`void`
`update(Graphics g, JComponent c)`
Notifies this UI delegate that it is time to paint the specified component.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Constructor Details

### MetalPopupMenuSeparatorUI

public MetalPopupMenuSeparatorUI()
Constructs a `MetalPopupMenuSeparatorUI`.

## Method Details

### createUI

public static ComponentUI createUI(JComponent c)
Constructs a new `MetalPopupMenuSeparatorUI` instance.

Parameters:
  `c` - a component
Returns:
  a new `MetalPopupMenuSeparatorUI` instance